package com.hzya.frame.mdm.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.mdm.mdmModuleDb.entity.MdmModuleDbEntity;
import com.hzya.frame.mdm.mdmModuleDbFileds.entity.MdmModuleDbFiledsEntity;
import com.hzya.frame.mdm.mdmModuleDbFiledsRuleFiles.entity.MdmModuleDbFiledsRuleFilesEntity;
import com.hzya.frame.mdm.mdmTableCodeRule.entity.MdmTableCodeRuleEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

public class MdmDbVo {

    //主数据主表
    private MdmModuleDbEntity mainMdmModuleDb;
    //主数据子表
    private List<MdmModuleDbEntity> sublistMdmModuleDb;
    //控件字段规则属性
    private List<MdmModuleDbFiledsRuleFilesEntity> moduleDbFiledsRuleFiles;
    //单据编码规则
    private List<MdmTableCodeRuleEntity> mdmTableCodeRuleEntityList;


    public List<MdmTableCodeRuleEntity> getMdmTableCodeRuleEntityList() {
        return mdmTableCodeRuleEntityList;
    }

    public void setMdmTableCodeRuleEntityList(List<MdmTableCodeRuleEntity> mdmTableCodeRuleEntityList) {
        this.mdmTableCodeRuleEntityList = mdmTableCodeRuleEntityList;
    }

    public List<MdmModuleDbFiledsRuleFilesEntity> getModuleDbFiledsRuleFiles() {
        return moduleDbFiledsRuleFiles;
    }

    public void setModuleDbFiledsRuleFiles(List<MdmModuleDbFiledsRuleFilesEntity> moduleDbFiledsRuleFiles) {
        this.moduleDbFiledsRuleFiles = moduleDbFiledsRuleFiles;
    }

    public MdmModuleDbEntity getMainMdmModuleDb() {
        return mainMdmModuleDb;
    }

    public void setMainMdmModuleDb(MdmModuleDbEntity mainMdmModuleDb) {
        this.mainMdmModuleDb = mainMdmModuleDb;
    }

    public List<MdmModuleDbEntity> getSublistMdmModuleDb() {
        return sublistMdmModuleDb;
    }

    public void setSublistMdmModuleDb(List<MdmModuleDbEntity> sublistMdmModuleDb) {
        this.sublistMdmModuleDb = sublistMdmModuleDb;
    }
}

